No announcement yet.

Ati catalyst 8.2 and radeon 9800

  • Filter
  • Time
  • Show
Clear All
new posts

  • Ati catalyst 8.2 and radeon 9800

    Hi everyone
    i was hoping the new drivers would make my card work with dri, instead it was another crappy release..
    I don't have a clue what is going wrong, but in case someone wants to help here are my xorg.log and xorg.conf

    i really lost any hope of making new ati drivers work with my card..
    Last edited by assasukasse; 02-17-2008, 07:48 PM. Reason: typo

  • #2
    less /var/log/Xorg.0.log |grep EE
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (II) Loading extension MIT-SCREEN-SAVER
    (EE) fglrx(0): Failed to initialize CMMQS driver.
    (EE) AIGLX: Screen 0 is not DRI capable


    • #3
      It looked like there were a couple of funny messages about bus ID in the log as well.

      I don't think we've been able to reproduce this problem in house but your log and conf files might help.


      • #4
        same with mobility 9700, all 9xxx series seems doomed


        • #5
          my radeon 9550 works fine ..


          • #6
            I have the same problem, 9800 Pro AGP 128MB on an Athlon XP 2400+/VIA KT400 system, 1GB of RAM. IIRC the 8.1 driver didn't have this error, but there were some graphical glitches in 3D, flickering black triangles, on my system.

            Edit: correction, 8.44.3 was the last driver that didn't have this problem.
            Last edited by phoneybone; 02-26-2008, 04:50 AM.


            • #7
              Originally posted by Bigon View Post
              same with mobility 9700, all 9xxx series seems doomed
              My 9800 works just fine with catalyst 8.2.



              • #8
                I solved the problems by using the open source radeon driver..
                i needed some tweaks to make it working but it works wonderfully and i have even higher FPS than with fglrx driver!


                • #9
                  I can confirm this bug on Radeon 9700 Mobility.


                  • #10

                    My Mobility Radeon 9600 PRO works with 8.02...

                    Actually, even AIGLX/Compiz works now on Debian/unstable. This is the first time I managed to make aiglx work with fglrx (since the last revision added support for x1.4).

                    Well the driver is still crappy (fglrxinfo and fgl_glxgears throw a segmentation fault...) but at least it works for me and is faster than 'radeon' (for now).